package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.MonitoramentoCRZ;

public class RenderMonitoramentoCRZ  implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	MonitoramentoCRZ m = (MonitoramentoCRZ) o;
    	SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");

        Listcell lc = new Listcell(m.getEmpresa() != null ? m.getEmpresa().getNombempresa() : "");
        lc.setParent(lstm);

        lc = new Listcell(m.getImpressora().getNumserie20());
        lc.setParent(lstm);

        lc = new Listcell(m.getEstadoInstalacao() != null ? m.getEstadoInstalacao().getNombestado() : "");
        lc.setParent(lstm);

        lc = new Listcell(sdf.format(m.getDataReducaoZFaltante()));
        lc.setParent(lstm);

        lc = new Listcell(m.getPuntoventa().getNombpuntoventa());
        lc.setParent(lstm);

        lc = new Listcell(m.getSequenciaCRZQuebrada().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(sdf.format(m.getDiasAlertaAberto()));
        lc.setParent(lstm);
        
        lstm.setAttribute("data", m);
    }
}